> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare Local Validation

> Resolve the default/selected runtime for local CLI config validation.

No run, run token, GPU allocation, volume or deployment is created.
The result is metadata, not authorization to submit a compiled artifact.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/training/runs/prepare
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/runs/prepare:
    post:
      tags:
        - training
      summary: Prepare Local Validation
      description: |-
        Resolve the default/selected runtime for local CLI config validation.

        No run, run token, GPU allocation, volume or deployment is created.
        The result is metadata, not authorization to submit a compiled artifact.
      operationId: prepare_local_validation_api_v1_training_runs_prepare_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrepareLocalValidationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    PrepareLocalValidationRequest:
      properties:
        mode:
          type: string
          enum:
            - rl
            - sft
          title: Mode
          default: rl
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        imageTag:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Imagetag
        sourceRef:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Sourceref
      additionalProperties: false
      type: object
      title: PrepareLocalValidationRequest
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.